module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks

Wave1Actor = chunks.class.new
{
	--m_test_num = 0,
}

function bindToObject(actor)
	Wave1Actor:new(actor) -- bind the script to the object
end

function Wave1Actor:created( owner )
	owner.label = "Wave actor"
	-- owner.owner.delta_time_factor
	-- owner:getOwner().delta_time_factor
end

--Don't use tick unless you really have to, use "unitSpawned" and "lastUnitSpawned" instead
--[[
function Wave1Actor:tick( owner, delta_time )
	--self.m_test_num = self.m_test_num + 1
	--print("Wave1Actor has been ticked " .. self.m_test_num .. " times")
end
]]

function Wave1Actor:destroy(owner)
	
end

function Wave1Actor:lastUnitSpawned()
	print("Wave1Actor: Last Unit Spawned")
end

function Wave1Actor:unitSpawned(i, gameObjectIndex, tag)
	
	local object = gameObjectIndex:get()
	if object then
		print("Wave1Actor: The "..i.."th unit was spawned, he was a lvl "..object:getLevel().." "..object.label.. " with tag "..(tag and tag or "empty_string"))
	end
end

function Wave1Actor:gameOver(team)
	if team == GameObject.TEAM_ALLY then
		print("THE GOOD GUYS HAVE WON!")
	elseif team == GameObject.TEAM_ENEMY then
		print("THE BAD GUYS HAVE WON! YOU LOST!")
	end
end

function Wave1Actor:unitDied(gameObjectIndex)
	local object = gameObjectIndex:get()
	if object then
		print("Wave1Actor: A lvl "..object:getLevel().." "..object.label.. " just died")
	end
end