-- module --
module(...,package.seeall)

final_wave = 50
endless_wave = final_wave + 1

auto_select_max_wave = 9

ratings_dialog_levels = { 14, 29, 44 }

non_user_targeted_spell_offset = v3f(120.0, 0.0, 0.0)

ash_health_bar_show_percentage = 0.75  -- How much of the total health should we actually show?
ash_low_health_knockback_data = { distance = 150.0, time = 0.75 }

max_selected_units = 5
spell_slot_unlock_levels = { 1, 2 }

selection_screen_slide_time = 0.5

max_units_in_wave_preview = 12
min_units_in_wave_preview = 5

min_wave_to_show_select_unit_menu = 4

selected_spells_id = "selected_spells"
selected_units_id = "selected_units"
endless_mode_unlocked_id = "endless_mode_unlocked"
wave_play_count_id = "analytics_play_count_wave_"

selection_menu_selection_box_size_offset= v2f(21.0, 0.0)

ally_units = {
					{name = "archer"},
					{name = "armored_guard"},
					{name = "arthur"},
					{name = "henry"},
					{name = "horseman"},
					{name = "peasant"},
					{name = "spearman"},
					{name = "swordboy"},
					{name = "swordsman"},
					{name = "torchboy"},
					{name = "wiseman"},
				}

continue_button_offset = v3f(0.0, 4.0, 1.0)

purchases = {
	{ id = "gold_tier1", gold = 5000},
	{ id = "gold_tier2", gold = 15000},
	{ id = "gold_tier3", gold = 50000},
	{ id = "gold_tier4", gold = 150000},
	{ id = "gold_tier5", gold = 500000},
}

downgrade_gold_return = 0.6

tutorial_interval = 0.333

-- Smithy vars
iron_level_cap = {
					50,
					75,
					100,
					125
					}
					
iron_level_cap_upgrade_price = {
					30,
					50,
					75,
					100 -- this one is never used
					}

iron_rate_upgrade_factor = 1.5

wave_ended_state = {
						WON = { flurry_info = "Completed" },
						ASH_DIED = { flurry_info = "Died" },
						BOOK_DIED = { flurry_info = "Lost" },
						QUIT = { flurry_info = "Quit" },
					}
